"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_router_1 = require("@teambit/react-router");
const ui_env_icon_1 = require("@teambit/ui.env-icon");
const ui_deprecation_icon_1 = require("@teambit/ui.deprecation-icon");
const clickable_1 = require("bit-bin/dist/to-eject/css-components/clickable");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importStar(require("react"));
const component_1 = require("@teambit/component");
const component_tree_context_1 = require("../component-tree-context");
const indent_1 = require("../indent");
const get_name_1 = require("../utils/get-name");
const component_view_module_scss_1 = __importDefault(require("./component-view.module.scss"));
function ComponentView(props) {
    const { node } = props;
    const component = node.payload;
    const { onSelect } = react_1.useContext(component_tree_context_1.ComponentTreeContext);
    const handleClick = react_1.useCallback((event) => {
        onSelect && onSelect(node.id, event);
    }, [onSelect, node.id]);
    if (!(component instanceof component_1.ComponentModel))
        return null;
    return (react_1.default.createElement(react_router_1.NavLink, { href: `/${component.id.fullName}`, className: classnames_1.default(indent_1.indentClass, clickable_1.clickable, component_view_module_scss_1.default.component), activeClassName: component_view_module_scss_1.default.active, onClick: handleClick },
        react_1.default.createElement("div", { className: component_view_module_scss_1.default.left },
            react_1.default.createElement(ui_env_icon_1.EnvIcon, { component: component, className: component_view_module_scss_1.default.envIcon }),
            react_1.default.createElement("span", null, get_name_1.getName(node.id))),
        react_1.default.createElement("div", { className: component_view_module_scss_1.default.right },
            react_1.default.createElement(ui_deprecation_icon_1.DeprecationIcon, { component: component }),
            props.treeNodeSlot &&
                props.treeNodeSlot.toArray().map(([id, treeNode]) => react_1.default.createElement(treeNode.widget, { key: id, component: component })))));
}
exports.ComponentView = ComponentView;
//# sourceMappingURL=component-view.js.map